## vala 0.3.4

=== debian/changelog ===
vala (0.3.4) unstable; urgency=low

  * Initial Release.

 -- Jürg Billeter <j@bitron.ch>  Thu, 10 Jul 2008 09:17:40 -0400
