=== debian/control ===
Source: vala
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: programming
Priority: extra
Maintainer: Jürg Billeter <j@bitron.ch>
Build-Depends: libglib2.0-dev, autotools-dev, xsltproc
Standards-Version: 3.6.1

Package: vala
Architecture: any
Depends: c-compiler
Description: Vala is a modern programming language compiling to C.
  Vala is a new programming language that aims to bring modern programming
  language features to GNOME developers without imposing any additional
  runtime requirements and without using a different ABI compared to
  applications and libraries written in C. 
  Given its dependence on gcc, this is intended for use within the Maemo
  SDK.
