## vala 0.5.7

=== debian/changelog ===
vala (0.5.7) unstable; urgency=low

  * Initial Release.

 -- Jürg Billeter <j@bitron.ch>  Mon, 16 Mar 2009 21:10:58 +0000
