=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: programming
 Priority: extra
 Maintainer: Jürg Billeter <j@bitron.ch>
-Build-Depends: libglib2.0-dev, autotools-dev, xsltproc
+Build-Depends: libglib2.0-dev, xsltproc, gnupg, autotools-dev
 Standards-Version: 3.6.1
 
 Package: vala
