## vala 0.7.3-maemo1

=== debian/changelog ===
vala (0.7.3-maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Wed, 27 May 2009 23:16:18 +0100

vala (0.7.3) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Wed, 27 May 2009 23:16:18 +0100
