## vala 0.7.3-maemo2

=== debian/changelog ===
vala (0.7.3-maemo2) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Mon,  8 Jun 2009 20:03:34 +0100
