=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
 Section: programming
 Priority: extra
-Maintainer: Jürg Billeter <j@bitron.ch>
-Build-Depends: libglib2.0-dev, xsltproc, gnupg, autotools-dev
+Maintainer: Andrew Flegg <andrew@bleb.org>
+Build-Depends: libglib2.0-dev, vala, xsltproc, gnupg, autotools-dev
 Standards-Version: 3.6.1
 
 Package: vala
