## vala 0.7.3-maemo3

=== debian/changelog ===
vala (0.7.3-maemo3) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Tue,  9 Jun 2009 22:14:57 +0100
