## vala 0.7.4-maemo1

=== debian/changelog ===
vala (0.7.4-maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Sat,  4 Jul 2009 07:42:51 +0100

vala (0.7.4) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Sat,  4 Jul 2009 07:42:50 +0100
