## vala 0.7.6-maemo1

=== debian/changelog ===
vala (0.7.6-maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Wed, 23 Sep 2009 21:22:48 +0100

vala (0.7.6) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Wed, 23 Sep 2009 21:22:48 +0100
