## vala 0.7.7-maemo1

=== debian/changelog ===
vala (0.7.7-maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Tue,  6 Oct 2009 22:21:29 +0100

vala (0.7.7) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Tue,  6 Oct 2009 22:21:28 +0100
