=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: programming
 Priority: extra
 Maintainer: Andrew Flegg <andrew@bleb.org>
-Build-Depends: libglib2.0-dev, xsltproc, gnupg, autotools-dev
+Build-Depends: libglib2.0-dev
 Standards-Version: 3.6.1
 
 Package: vala
