## vala 0.7.8-maemo1

=== debian/changelog ===
vala (0.7.8-maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Sat,  7 Nov 2009 16:59:09 +0000

vala (0.7.8) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Sat,  7 Nov 2009 16:59:08 +0000
