## vala 0.7.9-maemo1

=== debian/changelog ===
vala (0.7.9-maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Wed, 30 Dec 2009 13:25:13 +0000

vala (0.7.9) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Wed, 30 Dec 2009 13:25:13 +0000
