## vala 0.7.10-maemo1

=== debian/changelog ===
vala (0.7.10-maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Sun, 21 Feb 2010 11:12:13 +0000

vala (0.7.10) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Sun, 21 Feb 2010 11:12:12 +0000
