## vala 0.7.10-maemo2

=== debian/changelog ===
vala (0.7.10-maemo2) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Sun,  7 Mar 2010 10:29:20 +0000
