## vala 0.8.0

=== debian/changelog ===
vala (0.8.0-0ubuntu1common0omsk1) lucid; urgency=low

  * debian/patches/oem-add-missing-x11-bindings.patch:
    - Add binding for x11's XCloseDisplay
    - Add binding for x11's XMapRaised
    (LP: #606485)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 30 Jul 2010 13:42:22 +0200

vala (0.8.0-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Infer type arguments when calling generic methods.
    - Support `in' operator for arrays.
    - Add experimental support for regular expression literals.
    - Add experimental support for chained relational expressions.
    - Add va_list support.
    - Add clutter-gtk-0.10 bindings (Gordon Allott).
    - Add gdl-1.0 bindings (Nicolas Joseph).
    - Add gstreamer-app-0.10 bindings (Sebastian Dröge).
    - Add gstreamer-cdda-0.10 bindings (Sebastian Dröge).
    - Add gudev-1.0 bindings (Jim Nelson).
    - Add libgda-report-4.0 bindings (Shawn Ferris).
    - Add libgvc (graphviz) bindings (Martin Olsson).
    - Add purple bindings (Adrien Bustany).
    - Many bug fixes and binding updates.
  * debian/patches/99_ltmain_as-needed.patch: refreshed

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 02 Apr 2010 10:10:55 +0200

vala (0.7.10-1ubuntu3) lucid; urgency=low

  * debian/rules: Do not run the test suite under fakeroot, it breaks the
    D-Bus tests. Make the build fail on test suite failure again.
    (LP: #496312)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Mar 2010 21:02:40 +0100

vala (0.7.10-1ubuntu2) lucid; urgency=low

  * debian/rules: Run the unit test but don't make failures fatal.

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 28 Feb 2010 23:43:54 +0100

vala (0.7.10-1ubuntu1) lucid; urgency=low

  * Sync with Debian unstable.
  * Remaining changes :
   - debian/rules: Don't make unit test failures fatal to fix FTBFS. It was
     needed if vala need to enter main but it's not the case for now. 
     (See #374151)

 -- Julien Lavergne <gilir@ubuntu.com>  Sat, 13 Feb 2010 17:59:22 +0100

vala (0.7.10-1) unstable; urgency=low

  * debian/rules:
    + Remove patch target to fix FTBFS if older dpkg-dev is installed
      on the buildd (Closes: #564789).
  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 05 Feb 2010 10:02:10 +0100

vala (0.7.9-1) unstable; urgency=low

  * New upstream release (Closes: #562745).
  * debian/source/format:
    + Update to 3.0 (quilt) source format.
  * debian/control,
    debian/compat:
    + Update to debhelper compat level 6.
  * debian/patches/99_ltmain_as-needed.patch:
    + Refresh patch to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 04 Jan 2010 09:31:59 +0100

vala (0.7.8-2) unstable; urgency=low

  * debian/control:
    + Remove Mathias Hasselmann from Uploaders, he did the initial packaging
      for Ubuntu but was not involved with the Debian package at all.
  * debian/control,
    debian/rules:
    + Make unit test failures fatal on Ubuntu.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Nov 2009 13:12:21 +0100

vala (0.7.8-1) unstable; urgency=low

  [ Marc-André Lureau ]
  * New upstream version.
  
  [ Sebastian Dröge ]
  * debian/patches/01_gnu-hurd.patch,
    debian/patches/02_dbus-gvalue-marshalling.patch:
    + Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Nov 2009 08:02:32 +0100

vala (0.7.7-3) unstable; urgency=low

  * debian/control,
    debian/rules:
    + Update to a non-cdbs build system and first bootstrap Vala from
      the included C sources and then use the bootstrapped Vala for
      rebuilding the included C sources.
  * debian/patches/02_dbus-gvalue-marshalling.patch:
    + Fix marshalling of GValue in DBus server/client code. Patch
      taken from upstream GIT.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 10 Oct 2009 13:36:52 +0200

vala (0.7.7-2) unstable; urgency=low

  * debian/patches/01_gnu-hurd.patch:
    + Update gobject-introspection/grealpath.h from gobject-introspection
      GIT. This fixes build failures on GNU/Hurd because there PATH_MAX
      is not defined.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Sep 2009 16:13:23 +0200

vala (0.7.7-1) unstable; urgency=low

  * debian/control:
    + Fix sections of the debug packages.
  * New upstream version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 28 Sep 2009 10:02:15 +0200

vala (0.7.6-1) unstable; urgency=low

  * New upstream version.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Sep 2009 08:43:00 +0200

vala (0.7.5-1) unstable; urgency=low

  * New upstream version.

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Sun, 02 Aug 2009 23:57:39 +0300

vala (0.7.4-1) unstable; urgency=low

  * New upstream version.

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Fri, 03 Jul 2009 01:08:04 +0300

vala (0.7.3-1) unstable; urgency=low

  * debian/control:
    + Added dbus-x11 dependency to pass all tests (Closes: #528561).
  * New Upstream Version

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Tue, 26 May 2009 21:48:16 +0300

vala (0.7.2-1) unstable; urgency=low

  * New upstream version.

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Thu, 07 May 2009 22:41:27 +0300

vala (0.7.1-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    + vala-utils no longer provides vala-gen-project (Closes: #524837).

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Tue, 21 Apr 2009 15:24:27 +0300

vala (0.7.0-1) unstable; urgency=low

  * New upstream version.

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Mon, 06 Apr 2009 02:41:17 +0300

vala (0.6.0-2) unstable; urgency=low

  * debian/control:
    + Build depend on dbus and dbus-glib for the unit tests to fix compilation
      on IA64 (Closes: #516797).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 02 Apr 2009 06:18:39 +0200

vala (0.6.0-1) unstable; urgency=low

  * New upstream version.

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Tue, 31 Mar 2009 19:28:39 +0300

vala (0.5.7-1) unstable; urgency=low


