=== debian/control ===
Source: vala
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of Vala packages <pkg-vala-maintainers@lists.alioth.debian.org>
Uploaders: Marc-Andre Lureau <marcandre.lureau@gmail.com>, Loic Minier <lool@dooz.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 6),
               quilt,
               libglib2.0-dev (>= 2.16.0),
               bison (>= 2.3),
               autotools-dev,
               flex,
               gnome-pkg-tools,
               xsltproc,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               dbus-x11,
               lsb-release
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-vala/vala.git
Vcs-Browser: http://git.debian.org/?p=pkg-vala/vala.git
Homepage: http://live.gnome.org/Vala/

Package: valac
Architecture: any
Depends: ${shlibs:Depends},
         libvala0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.16.0),
         ${misc:Depends}
Replaces: libvala-dev (<< 0.1.5)
Description: C# like language for the GObject system
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 valac, the Vala compiler, is a self-hosting compiler that translates
 Vala source code into C source and header files.  It uses the GObject
 type system to create classes and interfaces declared in the Vala
 source code. This package also contains the vala-gen-introspect and
 vapigen binaries that will automatically generate Vala bindings.

Package: vala-utils
Architecture: any
Depends: ${shlibs:Depends},
         libvala0 (= ${binary:Version}),
         ${misc:Depends}
Replaces: libvala-dev (<< 0.1.5)
Suggests: libgtk2.0-dev
Description: C# like language for the GObject system - utilities
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 This package contains vapicheck, which will check bindings generated
 by vapigen for correctness.

Package: vala-doc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: valac, devhelp
Section: doc
Description: C# like language for the GObject system - documentation
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 This package contains the Vala Reference Manual.

Package: libvala0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Section: libs
Description: C# like language for the GObject system - library
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 This library contains the parser used by valac. It can be used for
 building tools arround Vala.

Package: libvala-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libvala0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.10.0)
Section: libdevel
Description: C# like language for the GObject system - development headers
 Vala is a new programming language that aims to bring modern
 programming language features to GNOME developers without imposing
 any additional runtime requirements and without using a different ABI
 compared to applications and libraries written in C.
 .
 This package has the development library and headers for valac. These
 headers can be used for building tools around Vala.

Package: valac-dbg
Priority: extra
Architecture: any
Depends: valac (= ${binary:Version}),
         ${misc:Depends}
Section: debug
Description: C# like language for the GObject system
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 valac, the Vala compiler, is a self-hosting compiler that translates
 Vala source code into C source and header files.  It uses the GObject
 type system to create classes and interfaces declared in the Vala
 source code. This package also contains the vala-gen-introspect and
 vapigen binaries that will automatically generate Vala bindings.

Package: libvala0-dbg
Priority: extra
Architecture: any
Depends: libvala0 (= ${binary:Version}),
         ${misc:Depends}
Section: debug
Description: C# like language for the GObject system - library symbols
 Vala is a new programming language that aims to bring modern programming
 language features to GNOME developers without imposing any additional
 runtime requirements and without using a different ABI compared to
 applications and libraries written in C.
 .
 This package contains the library symbols.
