## vala 0.8.0-maemo1

=== debian/changelog ===
vala (0.8.0-maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Sat, 10 Apr 2010 09:43:22 +0100

vala (0.8.0) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Sat, 10 Apr 2010 09:43:21 +0100
