## vala 0.8.1

=== debian/changelog ===
vala (0.8.1-2) unstable; urgency=low

  * debian/patches/0001-glib-2.0-use-g_strcmp0-instead-of-strcmp.patch:
    + Patch from upstream GIT to use g_strcmp0() instead of strcmp()
      as string comparison function.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 Jun 2010 06:28:19 +0200

vala (0.8.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 Apr 2010 16:20:57 +0200

vala (0.8.0-1) unstable; urgency=low

  * debian/compat,
    debian/control:
    + Update to debhelper compat level 7.
  * debian/rules,
    debian/control:
    + Target GLib 2.22.
  * New upstream release:
    + debian/patches/99_ltmain_as-needed.patch:
      - Updated to apply cleanly again.
    + debian/rules:
      - Update config.{sub,guess} locations.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 01 Apr 2010 09:11:06 +0200
