=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: vala
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of Vala packages <pkg-vala-maintainers@lists.alioth.debian.org>
-Uploaders: Marc-Andre Lureau <marcandre.lureau@gmail.com>, Loic Minier <lool@dooz.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 6),
+Maintainer: Maintainers of Vala packages <pkg-vala-maintainers@lists.alioth.debian.org>
+Uploaders: Marc-Andre Lureau <marcandre.lureau@gmail.com>,
+           Loic Minier <lool@dooz.org>,
+           Sebastian Dröge <slomo@debian.org>
+Build-Depends: debhelper (>= 7),
                quilt,
-               libglib2.0-dev (>= 2.16.0),
+               libglib2.0-dev (>= 2.22.0),
                bison (>= 2.3),
                autotools-dev,
                flex,
@@ -16,7 +17,7 @@
                libdbus-glib-1-dev,
                dbus-x11,
                lsb-release
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/pkg-vala/vala.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vala/vala.git
 Homepage: http://live.gnome.org/Vala/
@@ -60,7 +61,8 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Suggests: valac, devhelp
+Suggests: valac,
+          devhelp
 Section: doc
 Description: C# like language for the GObject system - documentation
  Vala is a new programming language that aims to bring modern programming
