=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/vala/([\d\.]+)/vala-([\d\.]+).tar.gz
