## vala 0.9.2-maemo1

=== debian/changelog ===
vala (0.9.2-maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Thu, 24 Jun 2010 07:56:29 +0100

vala (0.9.2) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Thu, 24 Jun 2010 07:56:28 +0100
