## vala 0.10.0

=== debian/changelog ===
vala (0.10.0-0ubuntu3) maverick; urgency=low

  * Fix LP: #651244 - fully revert the changes for the new GIR
    - update debian/patches/90_revert_use_new_gir_version.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 29 Sep 2010 18:21:39 +0100

vala (0.10.0-0ubuntu2) maverick; urgency=low

  * debian/control: Let libvala-0.10-dev Provides: libvala-dev, to avoid
    breaking build dependencies from Debian packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 27 Sep 2010 12:29:59 +0200

vala (0.10.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/patches/90_revert_use_new_gir_version.patch:
    - don't build with new GIR

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 20 Sep 2010 19:57:26 +0200

vala (0.9.8-1ubuntu1) maverick; urgency=low

  * debian/control:
    - build-depends on valac
    - set vcs url
  * debian/patches/02_dont_sigabrt_on_unknown_instance.patch:
    - reapply the change to build unity

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Sep 2010 15:22:34 +0200

vala (0.9.8-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Sep 2010 10:32:13 +0200

vala (0.9.7-2) experimental; urgency=low

  * debian/rules:
    + Don't act on the library package when stripping the valac package,
      otherwise the debug symbols of the library package are stripped
      now already and can't be put into the library debug package.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Aug 2010 17:21:02 +0200

vala (0.9.7-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Aug 2010 09:29:09 +0200

vala (0.9.6-1) experimental; urgency=low

  * New upstream development release:
    + debian/patches/01_vala-gen-introspect-script-suffix.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Aug 2010 16:00:44 +0200

vala (0.9.5-2) experimental; urgency=low

  * debian/patches/01_vala-gen-introspect-script-suffix.patch:
    + Patch from upstream GIT to add version suffix to the
      vala-gen-introspect binary inside the main script.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Aug 2010 09:52:10 +0200

vala (0.9.5-1) experimental; urgency=low

  * New upstream development release:
    + debian/libvala-0.10-0.install,
      debian/libvala-0.10-dev.install,
      debian/vala-0.10-doc.install,
      debian/valac-0.10.install,
      debian/valac-0.10.postinst,
      debian/valac-0.10.prerm,
      debian/control,
      debian/libvala-dev.install,
      debian/libvala0.install,
      debian/rules,
      debian/vala-doc.install,
      debian/vala-utils.install,
      debian/valac.install:
      - Update everything for the versioned libraries and binaries.
        /usr/bin/valac is now an alternative pointing to valac-0.10,
        valac is a metapackage to select the currently supported valac
        version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 09 Aug 2010 13:35:06 +0200

vala (0.9.4-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 Jul 2010 07:58:01 +0200

vala (0.9.3-3) experimental; urgency=low

  * debian/control:
    + Let valac and all other packages explicitely depend on GLib
      >= 2.25.11-3 as the experimental dependency resolvers gets
      confused otherwise.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Jul 2010 11:26:29 +0200

vala (0.9.3-2) experimental; urgency=low

  * debian/control:
    + Build-depend on GLib >= 2.25.11-3 to fix testsuite failures.
    + Lower -dev package GLib dependency to >= 2.16.0.
  * debian/rules:
    + Build Vala files with GLib 2.24 features.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Jul 2010 10:45:28 +0200

vala (0.9.3-1) experimental; urgency=low

  * New upstream development release.
    + debian/valac.install:
      - Ship /usr/bin/vala link, which acts as a "shell" for Vala files.
    + debian/patches/01_dbus-object-path.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Jul 2010 21:33:31 +0200

vala (0.9.2-2) experimental; urgency=low

  * debian/patches/01_dbus-object-path.patch:
    + Patch from upstream GIT to re-add the ObjectPath class
      for backward compatibility (Closes: #586964).
  * debian/rules:
    + Disable automake 1.11 silent rules.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Jun 2010 08:27:17 +0200

vala (0.9.2-1) experimental; urgency=low

  * New upstream development release.
  * debian/rules:
    + Don't use fakeroot for the testsuite and make failures
      fatal (Closes: #572549, #569690). Thanks to Martin
      Pitt for the patch.
  * debian/control:
    + Build depend on GLib >= 2.25.9 for the GDBus tests.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 21 Jun 2010 14:33:12 +0200

vala (0.9.1-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 12 Jun 2010 17:15:40 +0200
