=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: vala
 Section: devel
 Priority: optional
-Maintainer: Maintainers of Vala packages <pkg-vala-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of Vala packages <pkg-vala-maintainers@lists.alioth.debian.org>
 Uploaders: Marc-Andre Lureau <marcandre.lureau@gmail.com>,
            Loic Minier <lool@dooz.org>,
            Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 7),
                quilt,
-               libglib2.0-dev (>= 2.22.0),
+               libglib2.0-dev (>= 2.25.11-3),
                bison (>= 2.3),
                autotools-dev,
                flex,
@@ -16,19 +17,41 @@
                libdbus-1-dev,
                libdbus-glib-1-dev,
                dbus-x11,
+               valac,
                lsb-release
 Standards-Version: 3.8.4
-Vcs-Git: git://git.debian.org/git/pkg-vala/vala.git
-Vcs-Browser: http://git.debian.org/?p=pkg-vala/vala.git
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/vala/ubuntu
 Homepage: http://live.gnome.org/Vala/
 
 Package: valac
+Architecture: all
+Depends: valac-0.10,
+         ${misc:Depends}
+Description: C# like language for the GObject system
+ Vala is a new programming language that aims to bring modern programming
+ language features to GNOME developers without imposing any additional
+ runtime requirements and without using a different ABI compared to
+ applications and libraries written in C.
+ .
+ valac, the Vala compiler, is a self-hosting compiler that translates
+ Vala source code into C source and header files.  It uses the GObject
+ type system to create classes and interfaces declared in the Vala
+ source code. This package also contains the vala-gen-introspect and
+ vapigen binaries that will automatically generate Vala bindings.
+ .
+ This package always depends on the currently supported version
+ of valac but doesn't have any content by itself.
+
+Package: valac-0.10
 Architecture: any
 Depends: ${shlibs:Depends},
-         libvala0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.16.0),
+         libvala-0.10-0 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.25.11-3),
          ${misc:Depends}
-Replaces: libvala-dev (<< 0.1.5)
+Conflicts: valac (<< 0.9.5),
+           vala-utils
+Replaces: vala-utils
+Provides: vala-utils
 Description: C# like language for the GObject system
  Vala is a new programming language that aims to bring modern programming
  language features to GNOME developers without imposing any additional
@@ -41,28 +64,13 @@
  source code. This package also contains the vala-gen-introspect and
  vapigen binaries that will automatically generate Vala bindings.
 
-Package: vala-utils
-Architecture: any
-Depends: ${shlibs:Depends},
-         libvala0 (= ${binary:Version}),
-         ${misc:Depends}
-Replaces: libvala-dev (<< 0.1.5)
-Suggests: libgtk2.0-dev
-Description: C# like language for the GObject system - utilities
- Vala is a new programming language that aims to bring modern programming
- language features to GNOME developers without imposing any additional
- runtime requirements and without using a different ABI compared to
- applications and libraries written in C.
- .
- This package contains vapicheck, which will check bindings generated
- by vapigen for correctness.
-
-Package: vala-doc
+Package: vala-0.10-doc
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: valac,
           devhelp
+Provides: vala-doc
 Section: doc
 Description: C# like language for the GObject system - documentation
  Vala is a new programming language that aims to bring modern programming
@@ -72,7 +80,7 @@
  .
  This package contains the Vala Reference Manual.
 
-Package: libvala0
+Package: libvala-0.10-0
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -86,12 +94,13 @@
  This library contains the parser used by valac. It can be used for
  building tools arround Vala.
 
-Package: libvala-dev
+Package: libvala-0.10-dev
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libvala0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.10.0)
+         libvala-0.10-0 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.25.11-3)
+Provides: libvala-dev
 Section: libdevel
 Description: C# like language for the GObject system - development headers
  Vala is a new programming language that aims to bring modern
@@ -102,10 +111,10 @@
  This package has the development library and headers for valac. These
  headers can be used for building tools around Vala.
 
-Package: valac-dbg
+Package: valac-0.10-dbg
 Priority: extra
 Architecture: any
-Depends: valac (= ${binary:Version}),
+Depends: valac-0.10 (= ${binary:Version}),
          ${misc:Depends}
 Section: debug
 Description: C# like language for the GObject system
@@ -119,11 +128,13 @@
  type system to create classes and interfaces declared in the Vala
  source code. This package also contains the vala-gen-introspect and
  vapigen binaries that will automatically generate Vala bindings.
+ .
+ This package contains the compiler debug symbols.
 
-Package: libvala0-dbg
+Package: libvala-0.10-0-dbg
 Priority: extra
 Architecture: any
-Depends: libvala0 (= ${binary:Version}),
+Depends: libvala-0.10-0 (= ${binary:Version}),
          ${misc:Depends}
 Section: debug
 Description: C# like language for the GObject system - library symbols
@@ -132,6 +143,5 @@
  runtime requirements and without using a different ABI compared to
  applications and libraries written in C.
  .
- This package contains the library symbols.
+ This package contains the library debug symbols.
 
-
