## vala 0.10.4

=== debian/changelog ===
vala (0.10.4-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    + Don't run the testsuite if DEB_BUILD_OPTIONS contains nocheck.

  [ Sebastian Dröge ]
  * New upstream bugfix release.
  * debian/rules:
    + Don't make testsuite failures fatal on kfreebsd and hppa, the DBus
      tests fail there for an yet unknown reason and this keeps the package
      from migrating to testing.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 13 Mar 2011 13:05:29 +0100

vala (0.10.3-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control:
    + Make the vala-0.10 Conflicts/Replaces on vala-utils versioned.

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Feb 2011 16:56:30 +0100

vala (0.10.3-0.1) experimental; urgency=low

  * Non-maintainer upload with Sebastian's consent.
  * New upstream stable release.
  * Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Jan 2011 13:43:52 +0100

vala (0.10.1-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Oct 2010 11:42:30 +0200

vala (0.10.0-1) experimental; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 18 Sep 2010 07:37:17 +0200
