=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vala
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of Vala packages <pkg-vala-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of Vala packages <pkg-vala-maintainers@lists.alioth.debian.org>
 Uploaders: Marc-Andre Lureau <marcandre.lureau@gmail.com>,
            Loic Minier <lool@dooz.org>,
            Sebastian Dröge <slomo@debian.org>
@@ -17,10 +16,10 @@
                libdbus-1-dev,
                libdbus-glib-1-dev,
                dbus-x11,
-               valac,
                lsb-release
-Standards-Version: 3.8.4
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/vala/ubuntu
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/git/pkg-vala/vala.git
+Vcs-Browser: http://git.debian.org/?p=pkg-vala/vala.git
 Homepage: http://live.gnome.org/Vala/
 
 Package: valac
@@ -49,8 +48,8 @@
          libglib2.0-dev (>= 2.25.11-3),
          ${misc:Depends}
 Conflicts: valac (<< 0.9.5),
-           vala-utils
-Replaces: vala-utils
+           vala-utils (<< 0.10)
+Replaces: vala-utils (<< 0.10)
 Provides: vala-utils
 Description: C# like language for the GObject system
  Vala is a new programming language that aims to bring modern programming
@@ -100,7 +99,6 @@
          ${misc:Depends},
          libvala-0.10-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.25.11-3)
-Provides: libvala-dev
 Section: libdevel
 Description: C# like language for the GObject system - development headers
  Vala is a new programming language that aims to bring modern
